module ODEInterface_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libbvp_m_proxy
const libbvp_m_proxy_path = "/usr/lib/julia/odeinterface/bvp_m_proxy.so"
libbvp_m_proxy_handle = C_NULL
get_libbvp_m_proxy_path() = libbvp_m_proxy_path
const libbvp_m_proxy = "/usr/lib/julia/odeinterface/bvp_m_proxy.so"
export libbvpsol
const libbvpsol_path = "/usr/lib/julia/odeinterface/bvpsol.so"
libbvpsol_handle = C_NULL
get_libbvpsol_path() = libbvpsol_path
const libbvpsol = "/usr/lib/julia/odeinterface/bvpsol.so"
export libbvpsol_i32
const libbvpsol_i32_path = "/usr/lib/julia/odeinterface/bvpsol_i32.so"
libbvpsol_i32_handle = C_NULL
get_libbvpsol_i32_path() = libbvpsol_i32_path
const libbvpsol_i32 = "/usr/lib/julia/odeinterface/bvpsol_i32.so"
export libcolnew
const libcolnew_path = "/usr/lib/julia/odeinterface/colnew.so"
libcolnew_handle = C_NULL
get_libcolnew_path() = libcolnew_path
const libcolnew = "/usr/lib/julia/odeinterface/colnew.so"
export libcolnew_i32
const libcolnew_i32_path = "/usr/lib/julia/odeinterface/colnew_i32.so"
libcolnew_i32_handle = C_NULL
get_libcolnew_i32_path() = libcolnew_i32_path
const libcolnew_i32 = "/usr/lib/julia/odeinterface/colnew_i32.so"
export libddeabm
const libddeabm_path = "/usr/lib/julia/odeinterface/ddeabm.so"
libddeabm_handle = C_NULL
get_libddeabm_path() = libddeabm_path
const libddeabm = "/usr/lib/julia/odeinterface/ddeabm.so"
export libddeabm_i32
const libddeabm_i32_path = "/usr/lib/julia/odeinterface/ddeabm_i32.so"
libddeabm_i32_handle = C_NULL
get_libddeabm_i32_path() = libddeabm_i32_path
const libddeabm_i32 = "/usr/lib/julia/odeinterface/ddeabm_i32.so"
export libddebdf
const libddebdf_path = "/usr/lib/julia/odeinterface/ddebdf.so"
libddebdf_handle = C_NULL
get_libddebdf_path() = libddebdf_path
const libddebdf = "/usr/lib/julia/odeinterface/ddebdf.so"
export libddebdf_i32
const libddebdf_i32_path = "/usr/lib/julia/odeinterface/ddebdf_i32.so"
libddebdf_i32_handle = C_NULL
get_libddebdf_i32_path() = libddebdf_i32_path
const libddebdf_i32 = "/usr/lib/julia/odeinterface/ddebdf_i32.so"
export libdop853
const libdop853_path = "/usr/lib/julia/odeinterface/dop853.so"
libdop853_handle = C_NULL
get_libdop853_path() = libdop853_path
const libdop853 = "/usr/lib/julia/odeinterface/dop853.so"
export libdop853_i32
const libdop853_i32_path = "/usr/lib/julia/odeinterface/dop853_i32.so"
libdop853_i32_handle = C_NULL
get_libdop853_i32_path() = libdop853_i32_path
const libdop853_i32 = "/usr/lib/julia/odeinterface/dop853_i32.so"
export libdopri5
const libdopri5_path = "/usr/lib/julia/odeinterface/dopri5.so"
libdopri5_handle = C_NULL
get_libdopri5_path() = libdopri5_path
const libdopri5 = "/usr/lib/julia/odeinterface/dopri5.so"
export libdopri5_i32
const libdopri5_i32_path = "/usr/lib/julia/odeinterface/dopri5_i32.so"
libdopri5_i32_handle = C_NULL
get_libdopri5_i32_path() = libdopri5_i32_path
const libdopri5_i32 = "/usr/lib/julia/odeinterface/dopri5_i32.so"
export libodex
const libodex_path = "/usr/lib/julia/odeinterface/odex.so"
libodex_handle = C_NULL
get_libodex_path() = libodex_path
const libodex = "/usr/lib/julia/odeinterface/odex.so"
export libodex_i32
const libodex_i32_path = "/usr/lib/julia/odeinterface/odex_i32.so"
libodex_i32_handle = C_NULL
get_libodex_i32_path() = libodex_i32_path
const libodex_i32 = "/usr/lib/julia/odeinterface/odex_i32.so"
export libradau
const libradau_path = "/usr/lib/julia/odeinterface/radau.so"
libradau_handle = C_NULL
get_libradau_path() = libradau_path
const libradau = "/usr/lib/julia/odeinterface/radau.so"
export libradau5
const libradau5_path = "/usr/lib/julia/odeinterface/radau5.so"
libradau5_handle = C_NULL
get_libradau5_path() = libradau5_path
const libradau5 = "/usr/lib/julia/odeinterface/radau5.so"
export libradau5_i32
const libradau5_i32_path = "/usr/lib/julia/odeinterface/radau5_i32.so"
libradau5_i32_handle = C_NULL
get_libradau5_i32_path() = libradau5_i32_path
const libradau5_i32 = "/usr/lib/julia/odeinterface/radau5_i32.so"
export libradau_i32
const libradau_i32_path = "/usr/lib/julia/odeinterface/radau_i32.so"
libradau_i32_handle = C_NULL
get_libradau_i32_path() = libradau_i32_path
const libradau_i32 = "/usr/lib/julia/odeinterface/radau_i32.so"
export librodas
const librodas_path = "/usr/lib/julia/odeinterface/rodas.so"
librodas_handle = C_NULL
get_librodas_path() = librodas_path
const librodas = "/usr/lib/julia/odeinterface/rodas.so"
export librodas_i32
const librodas_i32_path = "/usr/lib/julia/odeinterface/rodas_i32.so"
librodas_i32_handle = C_NULL
get_librodas_i32_path() = librodas_i32_path
const librodas_i32 = "/usr/lib/julia/odeinterface/rodas_i32.so"
export libseulex
const libseulex_path = "/usr/lib/julia/odeinterface/seulex.so"
libseulex_handle = C_NULL
get_libseulex_path() = libseulex_path
const libseulex = "/usr/lib/julia/odeinterface/seulex.so"
export libseulex_i32
const libseulex_i32_path = "/usr/lib/julia/odeinterface/seulex_i32.so"
libseulex_i32_handle = C_NULL
get_libseulex_i32_path() = libseulex_i32_path
const libseulex_i32 = "/usr/lib/julia/odeinterface/seulex_i32.so"
function __init__()
    global libbvp_m_proxy_handle = dlopen(libbvp_m_proxy_path)
    global libbvpsol_handle = dlopen(libbvpsol_path)
    global libbvpsol_i32_handle = dlopen(libbvpsol_i32_path)
    global libcolnew_handle = dlopen(libcolnew_path)
    global libcolnew_i32_handle = dlopen(libcolnew_i32_path)
    global libddeabm_handle = dlopen(libddeabm_path)
    global libddeabm_i32_handle = dlopen(libddeabm_i32_path)
    global libddebdf_handle = dlopen(libddebdf_path)
    global libddebdf_i32_handle = dlopen(libddebdf_i32_path)
    global libdop853_handle = dlopen(libdop853_path)
    global libdop853_i32_handle = dlopen(libdop853_i32_path)
    global libdopri5_handle = dlopen(libdopri5_path)
    global libdopri5_i32_handle = dlopen(libdopri5_i32_path)
    global libodex_handle = dlopen(libodex_path)
    global libodex_i32_handle = dlopen(libodex_i32_path)
    global libradau_handle = dlopen(libradau_path)
    global libradau5_handle = dlopen(libradau5_path)
    global libradau5_i32_handle = dlopen(libradau5_i32_path)
    global libradau_i32_handle = dlopen(libradau_i32_path)
    global librodas_handle = dlopen(librodas_path)
    global librodas_i32_handle = dlopen(librodas_i32_path)
    global libseulex_handle = dlopen(libseulex_path)
    global libseulex_i32_handle = dlopen(libseulex_i32_path)
end
end
